replace notification credentials
Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session.
const url = 'https://example.com/admin/notifications/pushover/credentials';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"revision":1,"token":"example","url":"example","user":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/admin/notifications/pushover/credentials \ --header 'Content-Type: application/json' \ --data '{ "revision": 1, "token": "example", "url": "example", "user": "example" }'Save encrypted destination credentials without returning secrets (HIGOD)
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”object
Example generated
{ "revision": 1, "token": "example", "url": "example", "user": "example"}Responses
Section titled “Responses”OK
object
object
object
object
object
object
Example generated
{ "config": { "discord": { "enabled": true, "events": [ "example" ] }, "gossip": true, "gossip_notice": true, "heartbeat": true, "pushover": { "enabled": true, "events": [ "example" ] }, "revision": 1 }, "status": { "additionalProperty": { "dropped": 1, "last_error": "example", "last_failure": "2026-04-15T12:00:00Z", "last_success": "2026-04-15T12:00:00Z", "queued": 1, "ready": true, "source": "example" } }}default
Section titled “default”Error
object
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
A URI reference that identifies the specific occurrence of the problem.
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}